Title Check API Documentation
Welcome to Vehicle Databases API's Documentation
Title Check
GETJSON ResponseOverview
Check title information of any vehicle with VIN It returns if the vehicle has salvage record or not on a particular date along with cause.
- COVERAGE
- All vehicles listed in North America.
- SUPPORT
- Works for all 17-Characters VINs. (US Region)
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/title-check/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/title-check/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 5-17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"vin": "5TFDY5F18KX840724",
"data": {
"salvage": true,
"salvage_details": [
{
"cause": "Collision",
"date": "08-22-2023"
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the VIN is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.